Page MenuHomePhabricator

VisualEditor: [Regression wmf1] Adding categories, removing them, then cancelling the dialog throws “Uncaught TypeError: Cannot read property 'disconnect' of undefined”
Closed, ResolvedPublic

Description

screenshot 1

Environment- test2, beta

1> In VE, go to Options -> Categories. And add two categories.
2> Now delete the categories.Click on “Cancel” to close the options dialog.
3> Error in console, “Uncaught TypeError: Cannot read property 'disconnect' of undefined”(see screenshot 1)

After this step, reopen the Options dialog , notice the first Category is repeated( see screenshot 2).

Trying to delete any of the categories throws errors in console “Uncaught Error: Cannot remove detached item” and “Uncaught TypeError: Cannot read property 'metaItem' of undefined”.Clicking on Cancel or Apply changes does not close the dialog.


Version: unspecified
Severity: minor

Attached:

Details

Reference
bz71471

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:51 AM
bzimport set Reference to bz71471.
Swainr created this task.Sep 30 2014, 3:49 PM

Created attachment 16634
screenshot 2

Attached:

Change 163887 had a related patch set uploaded by Catrope:
Account for categories being removed twice in MWCategoryWidget

https://gerrit.wikimedia.org/r/163887

Change 163887 merged by jenkins-bot:
Account for categories being removed twice in MWCategoryWidget

https://gerrit.wikimedia.org/r/163887

Change 164018 had a related patch set uploaded by Jforrester:
Account for categories being removed twice in MWCategoryWidget

https://gerrit.wikimedia.org/r/164018

Change 164018 merged by Catrope:
Account for categories being removed twice in MWCategoryWidget

https://gerrit.wikimedia.org/r/164018

Verified the fix in test2

Swainr added a comment.Oct 6 2014, 3:36 PM

Issue is now fixed in beta too.

Verified the fix in production

Verified the fix in production